FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConstStringListRef::Adapter Class Referenceabstract

`#include <ref.hpp>`

## Public Member Functions
| Adapter ()=default
| Adapter (const Adapter &)=default
Adapter & | operator= (const Adapter &)=default
| Adapter (Adapter &&)=default
Adapter & | operator= (Adapter &&)=default
virtual | ~Adapter ()=default
virtual size_t | size () const =0
virtual std::string | operator[] (size_t i) const =0

## Detailed Description

Definition at line 119 of file ref.hpp.

## Constructor & Destructor Documentation

## ◆ Adapter() [1/3]

Adapter | ( |  | ) |
| default

## ◆ Adapter() [2/3]

Adapter | ( | const Adapter & |  | ) |
| default

## ◆ Adapter() [3/3]

Adapter | ( | Adapter && |  | ) |
| default

## ◆ ~Adapter()

virtual ~Adapter | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ operator=() [1/2]

Adapter & operator= | ( | const Adapter & |  | ) |
| default

## ◆ operator=() [2/2]

Adapter & operator= | ( | Adapter && |  | ) |
| default

## ◆ size()

virtual size_t size | ( |  | ) | const
| pure virtual

## ◆ operator[]()

virtual std::string operator[] | ( | size_t | i | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- ref.hpp